using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.OP
{
    [Description("计费规则表")]
    public partial class T_OP_BILLING_RULE : MesEntityBase
    {
        [CUnique]
        [Description("规则编码")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        public string CODE { get; set; }

        [Description("规则名称")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(30)]
        public string NAME { get; set; }

        [Description("绑定规则ID")]
        [DataFieldForeignKey("Nav_Version")]
        [FormFieldTable]
        public Guid? VERSION_ID { get; set; }

        [Description("导航属性：计费规则子表")]
        public virtual T_OP_BILLING_RULE_VERSION Nav_Version { get; set; }


        [Description("导航属性：计费规则子表")]
        public virtual ICollection<T_OP_BILLING_RULE_VERSION> Nav_Versions { get; set; }

    }
}
